{ config, pkgs, ... }:
{
  programs.neovim = {
    enable = true;
    viAlias = true;
    vimAlias = true;
    defaultEditor = true;
    plugins = with pkgs.vimPlugins; [
      vim-nix
      rust-vim
      fzf-vim
      sleuth
      whitespace-nvim # ,t to trim whitespace
      vimsence
      vim-wordy #:Wordy [kind], :NoWordy
      vim-pencil #:Pencil, :NoPencil
      telescope-nvim
    ];
    extraLuaConfig = (builtins.readFile ./rcfiles/neovim.lua);
  };
}
